Share via


Deleted Backup Vaults - List By Location

Lists deleted backup vaults by location

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DataProtection/locations/{location}/deletedVaults?api-version=2026-03-01

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DeletedBackupVaultResourceListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List deleted backup vaults by location

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/westus/deletedVaults?api-version=2026-03-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DataProtection/locations/westus/deletedBackupVaults/deleted-vault-01",
      "name": "deleted-vault-01",
      "type": "Microsoft.DataProtection/deletedBackupVaults",
      "properties": {
        "originalBackupVaultId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-rg/providers/Microsoft.DataProtection/backupVaults/sample-vault",
        "originalBackupVaultName": "sample-vault",
        "originalBackupVaultResourcePath": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-rg/providers/Microsoft.DataProtection/backupVaults/sample-vault",
        "resourceDeletionInfo": {
          "deletionTime": "2025-09-18T10:00:00.000Z",
          "scheduledPurgeTime": "2025-10-18T10:00:00.000Z",
          "deleteActivityId": "00000000-0000-0000-0000-000000000000"
        },
        "monitoringSettings": {
          "azureMonitorAlertSettings": {
            "alertsForAllJobFailures": "Enabled"
          }
        },
        "provisioningState": "Succeeded",
        "resourceMoveState": "Unknown",
        "securitySettings": {
          "softDeleteSettings": {
            "state": "On",
            "retentionDurationInDays": 14
          },
          "immutabilitySettings": {
            "state": "Disabled"
          }
        },
        "storageSettings": [
          {
            "datastoreType": "VaultStore",
            "type": "LocallyRedundant"
          }
        ],
        "isVaultProtectedByResourceGuard": false,
        "featureSettings": {
          "crossSubscriptionRestoreSettings": {
            "state": "Disabled"
          },
          "crossRegionRestoreSettings": {
            "state": "Disabled"
          }
        },
        "secureScore": "Maximum",
        "resourceGuardOperationRequests": [],
        "replicatedRegions": []
      }
    }
  ]
}

Definitions

Name Description
AlertsState
AzureMonitorAlertSettings

Settings for Azure Monitor based alerts

BCDRSecurityLevel

Security Level of Backup Vault

CmkKekIdentity

The details of the managed identity used for CMK

CmkKeyVaultProperties

The properties of the Key Vault which hosts CMK

createdByType

The type of identity that created the resource.

CrossRegionRestoreSettings
CrossRegionRestoreState

CrossRegionRestore state

CrossSubscriptionRestoreSettings

CrossSubscriptionRestore Settings

CrossSubscriptionRestoreState

CrossSubscriptionRestore state

DeletedBackupVault

Deleted Backup Vault - uses composition with BackupVault and additional deletion metadata

DeletedBackupVaultResource

Deleted Backup Vault Resource (available from version 2025-09-01)

DeletedBackupVaultResourceListResult

The response of a DeletedBackupVaultResource list operation.

encryptionSettings

Customer Managed Key details of the resource.

EncryptionState

Encryption state of the Backup Vault.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FeatureSettings

Class containing feature settings of vault

IdentityType

The identity type. 'SystemAssigned' and 'UserAssigned' are mutually exclusive. 'SystemAssigned' will use implicitly created managed identity.

ImmutabilitySettings

Immutability Settings at vault level

ImmutabilityState

Immutability state

InfrastructureEncryptionState

Enabling/Disabling the Double Encryption state

MonitoringSettings

Monitoring Settings

ProvisioningState

Provisioning state of the BackupVault resource

ResourceDeletionInfo

Deletion info for a tracked resource (Backup Vault)

ResourceMoveDetails

ResourceMoveDetails will be returned in response to GetResource call from ARM

ResourceMoveState

Resource move state for backup vault

SecureScoreLevel

Secure Score of Backup Vault

SecuritySettings

Class containing security settings of vault

SoftDeleteSettings

Soft delete related settings

SoftDeleteState

State of soft delete

StorageSetting

Storage setting

StorageSettingStoreTypes

Gets or sets the type of the datastore.

StorageSettingTypes

Gets or sets the type.

systemData

Metadata pertaining to creation and last modification of the resource.

AlertsState

Value Description
Enabled
Disabled

AzureMonitorAlertSettings

Settings for Azure Monitor based alerts

Name Type Description
alertsForAllJobFailures

AlertsState

BCDRSecurityLevel

Security Level of Backup Vault

Value Description
Poor
Fair
Good
Excellent
NotSupported

CmkKekIdentity

The details of the managed identity used for CMK

Name Type Description
identityId

string

The managed identity to be used which has access permissions to the Key Vault. Provide a value here in case identity types: 'UserAssigned' only.

identityType

IdentityType

The identity type. 'SystemAssigned' and 'UserAssigned' are mutually exclusive. 'SystemAssigned' will use implicitly created managed identity.

CmkKeyVaultProperties

The properties of the Key Vault which hosts CMK

Name Type Description
keyUri

string

The key uri of the Customer Managed Key

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CrossRegionRestoreSettings

Name Type Description
state

CrossRegionRestoreState

CrossRegionRestore state

CrossRegionRestoreState

CrossRegionRestore state

Value Description
Disabled
Enabled

CrossSubscriptionRestoreSettings

CrossSubscriptionRestore Settings

Name Type Description
state

CrossSubscriptionRestoreState

CrossSubscriptionRestore state

CrossSubscriptionRestoreState

CrossSubscriptionRestore state

Value Description
Disabled
PermanentlyDisabled
Enabled

DeletedBackupVault

Deleted Backup Vault - uses composition with BackupVault and additional deletion metadata

Name Type Description
bcdrSecurityLevel

BCDRSecurityLevel

Security Level of Backup Vault

featureSettings

FeatureSettings

Feature Settings

isVaultProtectedByResourceGuard

boolean

Is vault protected by resource guard

monitoringSettings

MonitoringSettings

Monitoring Settings

originalBackupVaultId

string

Resource Id of the original backup vault

originalBackupVaultName

string

Resource name of the original backup vault

originalBackupVaultResourcePath

string

Resource path of the original backup vault

provisioningState

ProvisioningState

Provisioning state of the BackupVault resource

replicatedRegions

string[]

List of replicated regions for Backup Vault

resourceDeletionInfo

ResourceDeletionInfo

Deletion info for the tracked resource (Backup Vault)

resourceGuardOperationRequests

string[]

ResourceGuardOperationRequests on which LAC check will be performed

resourceMoveDetails

ResourceMoveDetails

Resource move details for backup vault

resourceMoveState

ResourceMoveState

Resource move state for backup vault

secureScore

SecureScoreLevel

Secure Score of Backup Vault

securitySettings

SecuritySettings

Security Settings

storageSettings

StorageSetting[]

Storage Settings

DeletedBackupVaultResource

Deleted Backup Vault Resource (available from version 2025-09-01)

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

DeletedBackupVault

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DeletedBackupVaultResourceListResult

The response of a DeletedBackupVaultResource list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

DeletedBackupVaultResource[]

The DeletedBackupVaultResource items on this page

encryptionSettings

Customer Managed Key details of the resource.

Name Type Description
infrastructureEncryption

InfrastructureEncryptionState

Enabling/Disabling the Double Encryption state

kekIdentity

CmkKekIdentity

The details of the managed identity used for CMK

keyVaultProperties

CmkKeyVaultProperties

The properties of the Key Vault which hosts CMK

state

EncryptionState

Encryption state of the Backup Vault.

EncryptionState

Encryption state of the Backup Vault.

Value Description
Enabled

CMK encryption is enabled on the Backup Vault

Disabled

CMK encryption is disabled on the Backup Vault. User can not set this state once Encryption State is 'Enabled'.

Inconsistent

CMK encryption is in inconsistent state on the Backup Vault. This state indicates that user needs to retry the encryption settings operation immediately to correct the state.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FeatureSettings

Class containing feature settings of vault

Name Type Description
crossRegionRestoreSettings

CrossRegionRestoreSettings

crossSubscriptionRestoreSettings

CrossSubscriptionRestoreSettings

CrossSubscriptionRestore Settings

IdentityType

The identity type. 'SystemAssigned' and 'UserAssigned' are mutually exclusive. 'SystemAssigned' will use implicitly created managed identity.

Value Description
SystemAssigned
UserAssigned

ImmutabilitySettings

Immutability Settings at vault level

Name Type Description
state

ImmutabilityState

Immutability state

ImmutabilityState

Immutability state

Value Description
Disabled
Unlocked
Locked

InfrastructureEncryptionState

Enabling/Disabling the Double Encryption state

Value Description
Enabled
Disabled

MonitoringSettings

Monitoring Settings

Name Type Description
azureMonitorAlertSettings

AzureMonitorAlertSettings

Settings for Azure Monitor based alerts

ProvisioningState

Provisioning state of the BackupVault resource

Value Description
Failed
Provisioning
Succeeded
Unknown
Updating

ResourceDeletionInfo

Deletion info for a tracked resource (Backup Vault)

Name Type Description
deleteActivityId

string

Delete activity ID for troubleshooting the deletion of the tracked resource

deletionTime

string (date-time)

Specifies time of deletion for the tracked resource (Backup Vault)

scheduledPurgeTime

string (date-time)

Specifies the scheduled purge time for the tracked resource (Backup Vault)

ResourceMoveDetails

ResourceMoveDetails will be returned in response to GetResource call from ARM

Name Type Description
completionTimeUtc

string

Completion time in UTC of latest ResourceMove operation attempted. ISO 8601 format.

operationId

string

CorrelationId of latest ResourceMove operation attempted

sourceResourcePath

string

ARM resource path of source resource

startTimeUtc

string

Start time in UTC of latest ResourceMove operation attempted. ISO 8601 format.

targetResourcePath

string

ARM resource path of target resource used in latest ResourceMove operation

ResourceMoveState

Resource move state for backup vault

Value Description
Unknown
InProgress
PrepareFailed
CommitFailed
Failed
PrepareTimedout
CommitTimedout
CriticalFailure
PartialSuccess
MoveSucceeded

SecureScoreLevel

Secure Score of Backup Vault

Value Description
None
Minimum
Adequate
Maximum
NotSupported

SecuritySettings

Class containing security settings of vault

Name Type Description
encryptionSettings

encryptionSettings

Customer Managed Key details of the resource.

immutabilitySettings

ImmutabilitySettings

Immutability Settings at vault level

softDeleteSettings

SoftDeleteSettings

Soft delete related settings

SoftDeleteSettings

Soft delete related settings

Name Type Description
retentionDurationInDays

number (double)

Soft delete retention duration

state

SoftDeleteState

State of soft delete

SoftDeleteState

State of soft delete

Value Description
Off

Soft Delete is turned off for the BackupVault

On

Soft Delete is enabled for the BackupVault but can be turned off

AlwaysOn

Soft Delete is permanently enabled for the BackupVault and the setting cannot be changed

StorageSetting

Storage setting

Name Type Description
datastoreType

StorageSettingStoreTypes

Gets or sets the type of the datastore.

type

StorageSettingTypes

Gets or sets the type.

StorageSettingStoreTypes

Gets or sets the type of the datastore.

Value Description
ArchiveStore
OperationalStore
VaultStore

StorageSettingTypes

Gets or sets the type.

Value Description
GeoRedundant
LocallyRedundant
ZoneRedundant

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.